<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('wallet_transactions', function (Blueprint $table) {
            $table->id();
            $table->string('stripe_pm_id')->nullable();
            $table->enum('pm_type', ["wallet", "stripe"]);
            $table->enum('type', ["credit", "debit"]);
            $table->decimal('amount');
            $table->foreignId('wallet_id');
            $table->foreignId('user_id');
            $table->enum('status', ['pending', 'completed', 'failed'])
                ->default('pending')
                ->index();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('wallet_transactions');
    }
};
